Undelete Plus Welcome

Undelete Plus Logo

Undelete Plus - Welcome

Welcome to Undelete PLUS!

Undelete Plus is a small utility that will scan your hard drive for all files that can be undeleted and attempt to salvage the file for you.

Sounds like magic? It isn't. You might not know it, but when you tell Windows to erase a file, Windows essentially does something like say "okay, I am now going to consider this file null and void, and will allow other data writing operations to use the space that it occupies". In other words, no actual 'erasing' of the file occurs until Windows has a need to write over the hard drive space that the file resides on. Undelete Plus and programs like it do a thorough scan for files that are 'still there' on the hard drive and/or files that have enough data remaining that they can be salvaged.

Needless to say the sooner you attempt to recover the file the better your chances; also, smaller size files have a higher chance of being salvaged, and disks that have not been defragmented are better candidates for file recovery.

Site by FDRLab

© 2006 FDRLab Data Recovery Centre. All rights reserved.


Undelete Plus Overview

Undelete Plus - Overview

Undelete Plus is a quick and effective way to retrieve accidentally deleted files, files removed from the Recycle Bin, in a DOS window, from a network drive, from Windows Explorer with the SHIFT key held down. Undelete Plus is a small, fast, useful, practical and powerful. It has a clean, simple interface.

There's nothing quite like losing an important file you spent hours working on. But, just because you deleted it doesn't mean it's gone for good. You can use software to recover files that have been deleted. It isn't always foolproof. But many times you'll have some luck.

Undelete Plus works under Win 95/98/Me/NT/2000/XP/2003 operating systems. The program supports all Windows file systems for hard and floppy drives including FAT12/16/32,NTFS/NTFS5 and image recovery from CompactFlash, SmartMedia, MultiMedia and Secure Digital cards.

Undelete Plus allows the following tasks to be performed:
- Recovery of deleted files from NTFS/NTFS5, FAT12/FAT16/FAT32 volumes.
- Restoring deleted files on Windows 2000, Windows XP, Windows 98, Windows ME, Windows NT, Windows 2003.

More features:

- After scanning your hard drive, Undelete Plus will create file-type icons on the left margin that allow you to easily filter by file type
- Undelete Plus will create folder view for the deleted files.
- Undelete Plus will also allow filtering by size, date modified, and parts of the file name
- Undelete Plus is a small, fast, useful, practical, and powerful.


Undelete Plus System Requirements

Undelete Plus - System Requirements

Undelete Plus requires Windows95 OSR2, Windows 98, Windows Me, Windows NT 4.0, Windows 2000, Windows XP or Windows 2003.


Undelete Plus Installation

Undelete Plus - Installation

- Download latest version of Undelete Plus from Download page
- Run the installation by double-clicking it
- Follow the Install Wizard


Undelete Plus Uninstallation

Undelete Plus - Uninstallation

You can remove Undelete Plus from your system as follows:

Via Control Panel

- Open the Windows Control Panel
- Double click on [Add/Remove Programs]
- Find Undelete Plus in the list, and double click on it
- Follow the instructions in the Uninstall Wizard

Via Start Menu

- From the Start menu/Programs find Undelete Plus, and click Uninstall Undelete Plus
- Follow the instructions in the Uninstall Wizard


Undelete Plus Quickstart Guide

Undelete Plus - Quick Start Guide

Following is a Quick Start Guide to using Undelete Plus. For more detailed information see the section in this help file titles "Working with Undelete Plus".

Install undelete Plus or Run the Program from Floppy,CD,USB etc.

The latest version of Undelete Plus is available for download from Download Page, or by clicking the "Update" button within the program. If possible, avoid installing Undelete Plus to the drive from which you are trying to recover deleted files. Form more information on installing Undelete Plus, click here.

Step 1 - Select the Drive To Search

When you run Undelete Plus a main screen will be opened and at the left you can find drive selection panel.

This panel performs a scan to identify the devices (hard drives, digital camera, USB drive etc) that are connected to your computer. Select the device you wish to search by using your mouse to place a tick in the box next to the device name.

Drive Panel - Selecting the device to search
Undelete Plus Selecting the device to search

Step 2 - Running the Search

When the "Start Scan" button is pressed the search is commenced.

Start Scan Button
Undelete Plus Running the Search

Once the search is started the progress bar will display the number of files found and proportion of search remaining.

Running the Search
Undelete Plus Running the Search

Step 3 - Managing the Results

The result screen consists of four windows.

- Types and Folders windows (left): This window shows you the number of deleted files that have been found (e.g. 2092 JPEG photos have been found in the screen shot below). You can also change to "Folders" and see in a folder structure the files that have been found.
- Files window (top right): When a file type is selected in the left hand windows, the files found (in the case of the screen capture, the 2092 JPEG) are displayed in the Files window. Sort the files in this window by clicking on the column headings or selecting associated column in "Sort By" selection. When a file is selected in this window, by clicking on the file name, its contents are displayed in the Preview window below.
- Status and Preview windows (bottom right): If a preview is available, the contents of the file are displayed. In the Status window you can find some overhead information.

Files found are grouped by file type in the left hand column (any files that are found that do not belong to a known file type are placed in the "Other Files" folder). Click on the file type in the left and column to display the files found for that type in the right hand column. Click on an individual file in the right hand column to see preview of its contents (if available) in the bottom "Preview" window.

The Results Screen
Undelete Plus Running the Search

Step 4 - Saving Recovered Files

Select files to be saved in the Files window by placing a tick next to the file name. Also it is possible to select multiple files by using a combination of mouse clicks whilst holding down the SHIFT key.
To save selected files click the "Start Undelete" button.

Start Undelete Button
Undelete Plus Start Undelete Button

Recovered files will be located in the folder specified by "Undelete selected file(s) to:" value.

Undelete selected file(s) to
Undelete Plus Undelete selected file(s) to


Undelete Plus Select the Drive To Search

Undelete Plus - Select the Drive To Search

When you run Undelete Plus a main screen will be opened and at the left you can find drive selection panel.

This panel performs a scan to identify the devices (hard drives, digital camera, USB drive etc) that are connected to your computer. Select the device you wish to search by using your mouse to place a tick in the box next to the device name.

Drive Panel - Selecting the device to search
Undelete Plus Selecting the device to search

To remove drives from the search click on the tick to de-select it.

To proceed press the "Start Scan" button. Scanning will only be available if at least one listed disk drive selected.

To refresh drives list after plugging up new devices such as Memory Stick or Digital Camera to your computer press the Refresh Drives List button

Refresh Drives List Button
Undelete Plus Refresh Drives List Button


Undelete Plus Running the Search

Undelete Plus - Running the Search

When the "Start Scan" button is pressed the search is commenced.

Start Scan Button
Undelete Plus Running the Search

Once the search is started the progress bar will display the number of files found and proportion of search remaining.

Running the Search
Undelete Plus Running the Search

You can stop the search anytime by pressing the "Stop Scan" button or red cross at the program progress bar. If stopped before search completion, Undelete Plus will show files found up until the point at which the search was stopped.

Stop Scan Button
Undelete Plus Stop Scan Button


Undelete Plus Managing the Results

Undelete Plus - Managing the Results

The results screen consists of four windows.

Types window (left): This window shows you the number of deleted files that have been found (e.g. 2092 JPEG photos have been found in the screen shot below).

The Results Screen
Undelete Plus Running the Search

You can also change to "Folders" and see in a folder structure the files that have been found.
Folders window (top left) shows the folder structure of files that have been recovered. In some situations a Folder Name is destroyed, in which case the name will be given a name in the format "Deleted XXXXX", as shown below (note that sub folders will retain their original name):

Folders window
Undelete Plus Running the Search

Files window (top right): When a Types is selected in the left hand windows, the files found (in the case of the screen capture, the 2092 JPEG) are displayed in the Files window. Sort the files in this window by clicking on the column headings or selecting associated column in "Sort By" selection. When a file is selected in this window, by clicking on the file name, its contents are displayed in the Preview window below.
To list all files found in the File Window, go back to the Type window or Folder window at left and click on "My Computer". All files will then be displayed and can be sorted by clicking on the column headings. The fastest way to preview files in this list is to use the arrow keys to scroll down the file listing.

Status and Preview windows (bottom right): If a preview is available, the contents of the file are displayed. In the Status window you can find some overhead information.

Files found are grouped by file type in the left hand column (any files that are found that do not belong to a known file type are placed in the "Other Files" folder). Click on the file type in the left and column to display the files found for that type in the right hand column. Click on an individual file in the right hand column to see preview of its contents (if available) in the bottom "Preview" window.

Filtering Search Results

The filter option is accessed by pressing the "Filter" button on the main program screen.

Filter Button
Undelete Plus Running the Search

A filter of the search results can be conducted either whilst the search is in progress, or at the completion of the search. The status of the filter, either "Filter On" or "Filter Off" is displayed in the bottom left hand corner of the main program screen.

Filter Status
Undelete Plus Running the Search

A complex filter can be created by specifying a search for file name, date and size attributes.

Filter window
Undelete Plus Filter window


Undelete Plus Saving Recovered Files

Undelete Plus - Saving Recovered Files

When Undelete Plus saves a restored file it reads its content and then writes it to a new file with the same name. It is recommended that you save the files that you are recovering to another disk because of the risk of overwriting other files that you may be trying to recover with the newly recovered one that you are saving. It would be best not to save the retrieved files back to the same hard drive until after completing all attempts to retrieve any lost files. This will minimize the chance of corrupting any remaining lost files.

How do I select Files to be Saved?

- To select a file to be saved, in the Files window place a tick in the box next to the file name. - To select all files, right click on Files window and select "Select All" menu item. All files contained within Files window will then be ticked;

Select All Menu Item
Undelete Plus Select All Menu Item

- To select groups of files use your mouse with the SHIFT key holds down.
- Press SPACE BAR key to turn the selection tick on or off.

Recovered files will be located in the folder specified by "Undelete selected file(s) to:" value.

To keep folders where recovered files were found tick "Keep folder structure".

Undelete selected file(s) to and Keep folder structure
Undelete Plus Undelete selected file(s) to


Undelete Plus Frequently Asked Questions (FAQ)

Undelete Plus - Frequently Asked Questions (FAQ)

Send suggestions for questions to support@undelete-plus.com, including the word FAQ in the subject.

1. Why do files with "Very Good" Status appear unreadable after recovery and why can't I use them?

Status shows the minimum proven damage of a file. The actual file condition may be worse, but there's no technical way to detect it.

2. Can Undelete Plus recover files from a CD?

Undelete Plus will recognize a limited number of CD file formats. If you get a message stating "Drive Error" or drive is not listed then it will not work. You need to search the Internet for CD recovery software.

3. What should I do immediately after accidental erasure to ensure that I can recover those files?

The most important thing is to prevent the erased file from being overwritten by another file. To do so, avoid any use of the disk where the file was erased, until after the erased file is recovered. Also, remember that Undelete Plus should not be installed to this disk. Install it to a floppy disk if no other disk is available.

4. Can I do something in advance to increase my chances of file recovery?

Yes, keep your disk in good shape by regularly defragmenting it.

5. Why is recovery to the same disk not recommended?

Recovery to the same disk may overwrite the very segments of the disk that you're trying to recover files from. That will not leave you another recovery chance.


Undelete Plus License

Undelete Plus - License

Undelete Plus is distributed as free software. This means:

- All copyrights to Undelete Plus are exclusively owned by the author - FDRLab Data Recovery Centre.

- The user is granted a non-exclusive license to use Undelete Plus on one computer (i.e. a single cpu), for any legal purpose, at a time. The Undelete Plus software may not be rented or leased, but may be permanently transferred, if the person receiving it agrees to terms of this license. .

- UNDELETE PLUS IS DISTRIBUTED "AS IS". NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE AT YOUR OWN RISK. THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.

All rights not expressly granted here are reserved by FDRLab.

Installing and using Undelete Plus signifies acceptance of these terms and conditions of the license.

If you do not agree with the terms of this license you must remove Undelete Plus files from your storage devices and cease to use the product.

Thank you for using Undelete Plus!


Undelete Plus Support

Undelete Plus - Support

For support please use the Support page or email support@undelete-plus.com


Undelete Plus Contact Us

Undelete Plus - Contact Us

Stay in Contact

Undelete Plus is under constant development and we need your help to improve it.
If you think of features you'd like to see within Undelete Plus, please let us know. We'd love to hear from you and we will always answer your emails. It doesn't matter if you just want to write in to give us your opinion. Tell us what you think and what you would like to see in upcoming releases.

The easiest way to contact us is by email.

Our contact information is as follows:

FDRLab Data Recovery Centre

Email: support@undelete-plus.com

http://www.undelete-plus.com/